#include <iostream>
#include <cstring>
using namespace std;
int veci(char s1[],char s2[])
{
    int i=0;
    while(s1[i]!='/0'&&s2[i]!='/0')
    {
        if(s1[i]>s2[i])
            return 1;
        if(s1[i]<s2[i])
            return 0;
        i++;
    }
}
int main()
{
    char s1[19],s2[19],s3[19],mini[19],medi[19],maxi[19],pomoc[19];
    cin>>s1>>s2>>s3;
    strcpy(mini,s1);
    strcpy(medi,s2);
    strcpy(maxi,s3);
    if(veci(mini,medi))
    {
    strcpy(pomoc,medi);
    strcpy(medi,mini);
    strcpy(mini,pomoc);
    }
    if(veci(medi,maxi))
    {
    strcpy(pomoc,maxi);
    strcpy(maxi,medi);
    strcpy(medi,pomoc);
    }
    if(veci(mini,medi))
    {
    strcpy(pomoc,mini);
    strcpy(mini,medi);
    strcpy(medi,pomoc);
    }

    cout<<maxi<<medi<<mini;


}